## krita 5.2.1+dfsg

=== debian/changelog ===
krita (1:5.2.1+dfsg-0.1~mx23+1) mx; urgency=medium

  * Import new upstream release 5.2.1.
  * Add fix_gcc-12_FTBFS_add_include.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 01 Nov 2023 09:21:55 -0700

krita (1:5.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Tweak watch file to actually match more kind of unstable versions.
  * Update the build dependencies according to the upstream build system:
    - bump libboost-system-dev to 1.65
    - bump libeigen3-dev to 3.3.0
    - add libfontconfig-dev, libfreetype-dev, libharfbuzz-dev, libimmer-dev,
      libkf5kdcraw-dev, liblager-dev, libmlt-dev, libmlt++-dev, libsdl2-dev,
      libunibreak-dev, and libzug-dev
    - add libfribidi-dev, needed for the embedded modified copy of raqm
    - drop no more needed libkf5itemmodels-dev, libraw-dev, and
      qtmultimedia5-dev

 -- Pino Toscano <pino@debian.org>  Fri, 13 Oct 2023 07:10:26 +0200

=== debian/control ===
Source: krita
Section: kde
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.22.0),
               gettext,
               libboost-system-dev (>= 1.65~),
               libeigen3-dev (>= 3.3.0~),
               libexiv2-dev (>= 0.16~),
               libfftw3-dev,
               libfontconfig-dev (>= 2.13.1~),
               libfreetype-dev (>= 2.10.0~),
               libfribidi-dev,
               libgif-dev,
               libgsl-dev,
               libharfbuzz-dev (>= 4.0.0~),
               libheif-dev (>= 1.11.0~),
               libimmer-dev,
               libjpeg-dev,
               libjxl-dev (>= 0.7.0-1~) [linux-any],
               libkf5completion-dev (>= 5.44.0),
               libkf5config-dev (>= 5.44.0),
               libkf5coreaddons-dev (>= 5.44.0),
               libkf5crash-dev (>= 5.44.0),
               libkf5guiaddons-dev (>= 5.44.0),
               libkf5i18n-dev (>= 5.44.0),
               libkf5itemviews-dev (>= 5.44.0),
               libkf5kdcraw-dev,
               libkf5widgetsaddons-dev (>= 5.44.0),
               libkf5windowsystem-dev (>= 5.44.0),
               libkseexpr-dev (>= 4.0.0.0~),
               liblager-dev,
               liblcms2-dev (>= 2.4~),
               libmlt++-dev (>= 7~),
               libmlt-dev (>= 7~),
               libmypaint-dev (>= 1.4.0~),
               libopencolorio-dev (>= 1.1.1~),
               libopenexr-dev,
               libopenjp2-7-dev (>= 2.3.0~),
               libpng-dev,
               libpoppler-qt5-dev,
               libqt5opengl5-dev,
               libqt5svg5-dev (>= 5.12.0~),
               libqt5x11extras5-dev (>= 5.12.0~),
               libquazip5-dev (>= 0.6~),
               libsdl2-dev,
               libtiff-dev,
               libturbojpeg0-dev (>= 1:2.1.3~),
               libunibreak-dev (>= 5.0~),
               libwebp-dev (>= 1.2.0~),
               libxcb-util-dev,
               libxcb1-dev,
               libxi-dev,
               libxsimd-dev (>= 8.1.0~) [any-amd64 any-arm64],
               libzug-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               pyqt5-dev,
               python3-dev,
               python3-pyqt5,
               python3-sip-dev,
               qtbase5-dev (>= 5.12.0~),
               qtdeclarative5-dev (>= 5.12.0~),
               xtl-dev [any-amd64 any-arm64],
               zlib1g-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://krita.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/krita.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/krita

Package: krita
Architecture: any
Section: graphics
Depends: krita-data (>= ${source:Version}),
         libqt5sql5-sqlite,
         ${misc:Depends},
         ${shlibs:Depends},
         krita-gmic, python3-pyqt5, python3-sip, qml-module-qtmultimedia
Suggests: colord, ffmpeg, krita-l10n (>= ${source:Version})
Description: pixel-based image manipulation program
 Krita is a creative application for raster images. Whether you want to create
 from scratch or work with existing images, Krita is for you. You can work with
 photos or scanned images, or start with a blank slate. Krita supports most
 graphics tablets out of the box.
 .
 Krita is different from other graphics design programs in that it has
 pluggable brush engines, some supporting brush resources like Gimp brush files,
 others offering sophisticated simulation of real brushes, and others again
 offering color mixing and image deformations. Moreover, Krita has full
 support for graphics tablets, including such features as pressure, tilt and
 rate, making it a great choice for artists. There are easy to use tools for
 drawing lines, ellipses and rectangles, and the freehand tool is supported by
 pluggable "drawing assistants" that help you draw shapes that still have a
 freehand feeling to them.

Package: krita-data
Architecture: all
Section: graphics
Depends: ${misc:Depends}
Description: data files for Krita painting program
 This package contains architecture-independent data files for Krita.
 .
 See the krita package for further information.

Package: krita-l10n
Architecture: all
Section: localization
Depends: ${misc:Depends}
Description: translations for Krita painting program
 This package contains the translations for Krita, the painting program.
 .
 See the krita package for further information.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DFOUNDATION_BUILD=OFF -DBUILD_TESTING=OFF -DENABLE_UPDATERS=OFF -DKRITA_ENABLE_PCH=OFF

execute_after_dh_auto_install:
	# remove symlinks of private libraries
	find debian/tmp -name '*.so' -type l -print -delete
	# remove development headers
	rm -rfv debian/tmp/usr/include/

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

.PHONY: override_dh_auto_test

## krita 5.2.2%2Bdfsg

=== plugins/dockers/CMakeLists.txt ===
add_subdirectory(layerdocker)
if(HAVE_OPENEXR)
    add_subdirectory(smallcolorselector)
endif()
add_subdirectory(specificcolorselector)
add_subdirectory(digitalmixer)
add_subdirectory(advancedcolorselector)
add_subdirectory(presetdocker)
add_subdirectory(historydocker)
add_subdirectory(channeldocker)
add_subdirectory(artisticcolorselector)
add_subdirectory(tasksetdocker)
add_subdirectory(compositiondocker)
add_subdirectory(patterndocker)
add_subdirectory(griddocker)
add_subdirectory(arrangedocker)
if(HAVE_OCIO)
    add_subdirectory(lut)
endif()
add_subdirectory(overview)
add_subdirectory(palettedocker)
add_subdirectory(animation)
add_subdirectory(presethistory)
add_subdirectory(svgcollectiondocker)
add_subdirectory(histogram)
add_subdirectory(gamutmask)
add_subdirectory(recorder)
if(NOT APPLE AND HAVE_QT_QUICK)
    add_subdirectory(touchdocker)
    option(ENABLE_CPU_THROTTLE "Build the CPU Throttle Docker" OFF)
    if (ENABLE_CPU_THROTTLE)
        add_subdirectory(throttle)
    endif()
endif()

add_subdirectory(logdocker)
add_subdirectory(snapshotdocker)
add_subdirectory(storyboarddocker)
add_subdirectory(widegamutcolorselector)

=== plugins/tools/CMakeLists.txt ===
add_subdirectory( basictools )
add_subdirectory( defaulttool )
add_subdirectory( selectiontools )
add_subdirectory( tool_crop )
add_subdirectory( tool_polygon )
add_subdirectory( tool_polyline )
add_subdirectory( tool_transform2 )
add_subdirectory( tool_dyna )
add_subdirectory( karbonplugins )
add_subdirectory( tool_lazybrush )
add_subdirectory( tool_smart_patch )
add_subdirectory( svgtexttool )
add_subdirectory( tool_enclose_and_fill )

install( FILES
    tools.action
DESTINATION  ${DATA_INSTALL_DIR}/krita/actions)

=== plugins/dockers/smallcolorselector/CMakeLists.txt ===
set(KRITA_smallCOLORSELECTOR_SOURCES
    smallcolorselector.cc
    smallcolorselector_dock.cc
    kis_small_color_widget.cc
    KisGLImageF16.cpp
    KisGLImageWidget.cpp
    KisClickableGLImageWidget.cpp
    )

set(small_color_selector_QRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/kis_gl_image_widget.qrc
    CACHE INTERNAL "small_color_selector_QRCS"
)
qt5_add_resources(KRITA_smallCOLORSELECTOR_SOURCES ${small_color_selector_QRCS})

kis_add_library(kritasmallcolorselector MODULE ${KRITA_smallCOLORSELECTOR_SOURCES})
target_link_libraries(kritasmallcolorselector kritaui)
install(TARGETS kritasmallcolorselector  DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})

=== plugins/extensions/modify_selection/CMakeLists.txt ===
set(kritamodifyselection_SOURCES
    dlg_grow_selection.cc
    dlg_shrink_selection.cc
    dlg_border_selection.cc
    dlg_feather_selection.cc
    modify_selection.cc
    modify_selection_operations.cpp
    )


ki18n_wrap_ui(kritamodifyselection_SOURCES
    wdg_grow_selection.ui
    wdg_shrink_selection.ui
    wdg_border_selection.ui
    wdg_feather_selection.ui
    )

kis_add_library(kritamodifyselection MODULE ${kritamodifyselection_SOURCES})
target_link_libraries(kritamodifyselection kritaui)
install(TARGETS kritamodifyselection  DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})
install( FILES  modify_selection.xmlgui  DESTINATION ${DATA_INSTALL_DIR}/kritaplugins)

=== plugins/tools/selectiontools/CMakeLists.txt ===
set(kritaselectiontools_SOURCES
    selection_tools.cc
    kis_tool_select_rectangular.cc
    kis_tool_select_polygonal.cc
    kis_tool_select_elliptical.cc
    kis_tool_select_contiguous.cc
    kis_tool_select_outline.cc
    kis_tool_select_path.cc
    kis_tool_select_similar.cc
    kis_selection_modifier_mapper.cc
    KisMagneticWorker.cc
    KisToolSelectMagnetic.cc
)

qt5_add_resources(kritaselectiontools_SOURCES selectiontools.qrc)

kis_add_library(kritaselectiontools MODULE ${kritaselectiontools_SOURCES})

generate_export_header(kritaselectiontools BASE_NAME kritaselectiontools)

target_link_libraries(kritaselectiontools kritaui kritabasicflakes kritaimage)

install(TARGETS kritaselectiontools  DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})

install( FILES
        KisToolSelectPolygonal.action
        KisToolSelectElliptical.action
        KisToolSelectSimilar.action
        KisToolSelectContiguous.action
        KisToolSelectRectangular.action
        KisToolSelectOutline.action
        KisToolSelectPath.action
        KisToolSelectMagnetic.action
    DESTINATION  ${DATA_INSTALL_DIR}/krita/actions
)
